Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface CustomMarshal

All Known Subinterfaces:
  CustomValue

public interface CustomMarshal

The CustomMarshal is an abstract value type that is meant to be used by the ORB, not the user. Semantically it is treated as a custom valuetype's implicit base class, although the custom valutype does not actually inherit it in IDL. The implementer of a custom value type shall provide an implementation of the CustomMarshal operations. The manner in which this is done is specified in the IDL to Java langague mapping. Each custom marshaled value type shall have its own implementation.

See Also:
  `DataOuputStream`, `DataInputStream`

Method Summary
`void` | `marshal(DataOutputStream os)` Marshal method has to be implemented by the Customized Marshal class This is the method invoked for Marshalling.
`void` | `unmarshal(DataInputStream is)` Unmarshal method has to be implemented by the Customized Marshal class This is the method invoked for Unmarshalling.

Method Detail

### marshal

    public void marshal(DataOutputStream os)

  Marshal method has to be implemented by the Customized Marshal class This is the method invoked for Marshalling.
  Parameters:
    `os` - a DataOutputStream

### unmarshal

    public void unmarshal(DataInputStream is)

  Unmarshal method has to be implemented by the Customized Marshal class This is the method invoked for Unmarshalling.
  Parameters:
    `is` - a DataInputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.